PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
plask::MaterialsDB::DummyMixedCompositionFactory Struct Reference

Dummy mixed factory for use in draft mode. More...

`#include <plask/material/db.hpp>`

Inheritance diagram for plask::MaterialsDB::DummyMixedCompositionFactory:
[legend]
Collaboration diagram for plask::MaterialsDB::DummyMixedCompositionFactory:
[legend]

## Public Member Functions
| DummyMixedCompositionFactory (const std::string &name1, const std::string &name2)
| Construct MixedDopantFactory for given material constructor of simple material, and doping amounts for this constructor.
shared_ptr< Material > | operator() (double PLASK_UNUSED(m1_weight)) const override
| Construct material.
shared_ptr< Material > | singleMaterial () const override
| Get material only if this factory represents solid material (if operator(double m1_weight) is independent from m1_weight).
Public Member Functions inherited from plask::MaterialsDB::MixedCompositionFactory
| MixedCompositionFactory (shared_ptr< const MaterialConstructor > constructor)
| Construct MixedCompositionFactory for given material constructor and two compositions for this constructor.
virtual | ~MixedCompositionFactory ()
virtual shared_ptr< Material > | operator() (double m1_weight) const =0
| Construct material.

## Protected Attributes
std::string | full_name
Protected Attributes inherited from plask::MaterialsDB::MixedCompositionFactory
shared_ptr< const MaterialConstructor > | constructor

## Detailed Description

Dummy mixed factory for use in draft mode.

Definition at line 283 of file db.hpp.

## Constructor & Destructor Documentation

## ◆ DummyMixedCompositionFactory()

plask::MaterialsDB::DummyMixedCompositionFactory::DummyMixedCompositionFactory | ( | const std::string & | name1,
|  | const std::string & | name2
| ) |  |
| inline

Construct MixedDopantFactory for given material constructor of simple material, and doping amounts for this constructor.

Parameters

  constructor | material constructor
  dopAmountType | type of doping amounts, common for both materials
  m1DopAmount,m2DopAmount | amounts of doping for first and second material
  shape | changing material shape exponent

Definition at line 295 of file db.hpp.

## Member Function Documentation

## ◆ operator()()

shared_ptr< Material > plask::MaterialsDB::DummyMixedCompositionFactory::operator() | ( | double | PLASK_UNUSEDm1_weight | ) | const
| inline override

Construct material.

Parameters

  m1_weight | weight of first composition and dopant

Returns
  constructed material

Definition at line 303 of file db.hpp.

## ◆ singleMaterial()

shared_ptr< Material > plask::MaterialsDB::DummyMixedCompositionFactory::singleMaterial | ( |  | ) | const
| inline override virtual

Get material only if this factory represents solid material (if operator(double m1_weight) is independent from m1_weight).

Returns
  material or nullptr if it is not solid

Implements plask::MaterialsDB::MixedCompositionFactory.

Definition at line 307 of file db.hpp.

## Member Data Documentation

## ◆ full_name

std::string plask::MaterialsDB::DummyMixedCompositionFactory::full_name
| protected

Definition at line 285 of file db.hpp.

The documentation for this struct was generated from the following file:

- plask/material/db.hpp